Try ERPNext Buy Support Partners Foundation

Migration V10->V11: Errors in Error-Log

Hi,

during testing the migration from V10->V11 on our production database i experience the following error in the error log in ERPNext. Can anybody help me, what is going wrong here?
Thanks.

 Traceback (most recent call last):
  File "/home/frappe/frappe-bench/apps/frappe/frappe/modules/utils.py", line 190, in load_doctype_module
    doctype_python_modules[key] = frappe.get_module(module_name)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 808, in get_module
    return importlib.import_module(modulename)
  File "/home/frappe/frappe-bench/env/lib/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 965, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'frappe.core.doctype.event_participants'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/frappe/frappe-bench/apps/frappe/frappe/patches/v11_0/multiple_references_in_events.py", line 14, in execute
    e.append('event_participants', {"reference_doctype": event.ref_type, "reference_docname": event.ref_name})
  File "/home/frappe/frappe-bench/apps/frappe/frappe/model/base_document.py", line 138, in append
    value = self._init_child(value, key)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/model/base_document.py", line 176, in _init_child
    value = get_controller(value["doctype"])(value)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/model/base_document.py", line 36, in get_controller
    module = load_doctype_module(doctype, module_name)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/modules/utils.py", line 192, in load_doctype_module
    raise ImportError('Module import failed for {0} ({1})'.format(doctype, module_name + ' Error: ' + str(e)))
ImportError: Module import failed for Event Participants (frappe.core.doctype.event_participants.event_participants Error: No module named 'frappe.core.doctype.event_participants')

Bumping this question: Has nobody an idea how this can be fixed?

This fixed it for me:

bench reload-doc desk doctype event_participants

No more errors in the Error Log after 3 hours. Also, this is on v12 upgraded from v10 using the advice here: (Resolved) Restore V12 from V10 backups